import frontmatter
import mistune
from pathlib import Path


mistune_render = mistune.create_markdown(
    renderer=mistune.HTMLRenderer(escape=False),
    plugins=["strikethrough", "footnotes", "table", "task_lists", "abbr", "math"],
)


def render_markdown(path: Path) -> str:
    with open(path, "r") as f:
        obj = frontmatter.load(f)
        res = mistune_render(obj.content)
    return res